baseURL = 'https://nkmason.dev/'
languageCode = 'en-us'
title = "nikhil's blog"
theme = 'typo'

[taxonomies]
tag = 'tags'

[params]
faviconPath = '/icons'
# Meta description
description = "Find my projects, research and rambles here."

# Appearance settings
theme = 'light'
colorPalette = 'catpuccin'
hideHeader = false

# Intro on main page, content is markdown
homeIntroTitle = 'Hello (●＾o＾●)'
homeIntroContent = """
Hey, I’m Nikhil, better known by my alias, Mason.

I’m deeply curious about new technologies, especially how to break them.
You might know me from the DMRC travel card hack.
This blog is a public log of the things I choose to share.
"""

# Collection to display on home
homeCollectionTitle = 'Posts'
homeCollection = 'posts'

# Lists parameters
paginationSize = 100
listSummaries = true
listDateFormat = 'Jan 2, 2006'

footerContent = """Content on this blog is by default licensed under [_CC BY-NC-SA 4.0_](https://creativecommons.org/licenses/by-nc-sa/4.0/?ref=chooser-v1) unless stated otherwise.

_nkmason.dev_ runs [_tomfran/typo_](https://github.com/tomfran/typo) theme via [_Hugo_](https://gohugo.io/)."""

# Breadcrumbs
[params.breadcrumbs]
enabled = true
showCurrentPage = true
home = "Home"

# Social icons
[[params.social]]
name = "protonmail"
url = "mailto:nk_mason@protonmail.com"

[[params.social]]
name = "tangled"
url = "https://tangled.org/nkmason.dev"

[[params.social]]
name = "github"
url = "https://github.com/nk521"

[[params.social]]
name = "linkedin"
url = "https://www.linkedin.com/in/nk521/"

# Main menu pages
[[params.menu]]
name = "home"
url = "/"

[[params.menu]]
name = "posts"
url = "/posts"

[[params.menu]]
name = "notes"
url = "/notes"

# [[params.menu]]
# name = "ideas"
# url = "/posts"

[[params.menu]]
name = "about"
url = "/about"

# Syntax highlight on code blocks
[markup]
[markup.highlight]
noClasses = false
[markup.tableOfContents]
endLevel = 4
startLevel = 2

# Giscus comments
[params.giscus]
enable = false
repo = "user/repo"
repoid = "repoId"
category = "General"
categoryid = "categoryId"
mapping = "pathname"
theme = "preferred_color_scheme"
